VTK: vtkDIYGhostUtilities::PolyDataInformation Struct Reference

| VTK 9.3.1

Public Attributes | List of all members
vtkDIYGhostUtilities::PolyDataInformation Struct Reference

`#include <vtkDIYGhostUtilities.h>`

Inheritance diagram for vtkDIYGhostUtilities::PolyDataInformation:
[legend]
Collaboration diagram for vtkDIYGhostUtilities::PolyDataInformation:
[legend]

## Public Attributes
vtkPolyData * | Input
vtkIdType | CurrentPolyConnectivitySize
| This is a cursor telling how much the corresponding output connectivity array is filled. More...
vtkIdType | CurrentStripConnectivitySize
| This is a cursor telling how much the corresponding output connectivity array is filled. More...
vtkIdType | CurrentLineConnectivitySize
| This is a cursor telling how much the corresponding output connectivity array is filled. More...
vtkIdType | CurrentMaxPolyId = 0
| This is a cursor telling how many cells of corresponding types have been added so far. More...
vtkIdType | CurrentMaxStripId = 0
| This is a cursor telling how many cells of corresponding types have been added so far. More...
vtkIdType | CurrentMaxLineId = 0
| This is a cursor telling how many cells of corresponding types have been added so far. More...
vtkIdType | NumberOfInputVerts
| Number of cells of respective type when the input has its ghost cells removed. More...
vtkIdType | NumberOfInputPolys
| Number of cells of respective type when the input has its ghost cells removed. More...
vtkIdType | NumberOfInputStrips
| Number of cells of respective type when the input has its ghost cells removed. More...
vtkIdType | NumberOfInputLines
| Number of cells of respective type when the input has its ghost cells removed. More...
vtkIdType | InputVertConnectivitySize
| Cell connectivity array size of the input if ghost cells are removed. More...
vtkIdType | InputPolyConnectivitySize
| Cell connectivity array size of the input if ghost cells are removed. More...
vtkIdType | InputStripConnectivitySize
| Cell connectivity array size of the input if ghost cells are removed. More...
vtkIdType | InputLineConnectivitySize
| Cell connectivity array size of the input if ghost cells are removed. More...
vtkNew< vtkIdList > | OutputToInputVertCellIdRedirectionMap
| In the event that the input has ghost cells, this maps the output cells (with input ghosts removed) to the input cells. More...
vtkNew< vtkIdList > | OutputToInputLineCellIdRedirectionMap
| Cell connectivity array size of the input if ghost cells are removed. More...
vtkNew< vtkIdList > | OutputToInputPolyCellIdRedirectionMap
| Cell connectivity array size of the input if ghost cells are removed. More...
vtkNew< vtkIdList > | OutputToInputStripCellIdRedirectionMap
| Cell connectivity array size of the input if ghost cells are removed. More...
Public Attributes inherited from vtkDIYGhostUtilities::UnstructuredDataInformation
vtkBoundingBox | BoundingBox
| Bounding box of input. More...
vtkSmartPointer< vtkIdList > | OutputToInputCellIdRedirectionMap = nullptr
| When the input has ghosts, this map is being used to copy input cells / cell data into the output (with input ghosts peeled off). More...
vtkSmartPointer< vtkAlgorithm > | InterfaceExtractor
| Filter that is being used to extract the surface of the input. More...
vtkIdTypeArray * | InterfacePointIds
| Handle to the local point ids of the surface of the input. More...
vtkDataArray * | InterfacePoints
| Handle to the points of the surface of the input. More...
vtkSmartPointer< vtkIdTypeArray > | InterfaceGlobalPointIds
| Handle to the point ids of the input surface, if present. More...
vtkSmartPointer< vtkIdList > | InputToOutputPointIdRedirectionMap = nullptr
| When the input has ghosts, this map is being used to copy input points / point data into the output (with input ghosts peeled off). More...
vtkSmartPointer< vtkIdList > | OutputToInputPointIdRedirectionMap = nullptr
| When the input has ghosts, this map is being used to copy input points / point data into the output (with input ghosts peeled off). More...
vtkIdType | CurrentMaxPointId
vtkIdType | CurrentMaxCellId
vtkIdType | NumberOfInputPoints
| Number of input points / cell in the input when ghosts are removed. More...
vtkIdType | NumberOfInputCells
| Number of input points / cell in the input when ghosts are removed. More...

## Additional Inherited Members
Public Member Functions inherited from vtkDIYGhostUtilities::UnstructuredDataInformation
bool | InputNeedsGhostsPeeledOff () const

## Detailed Description

Definition at line 616 of file vtkDIYGhostUtilities.h.

## Member Data Documentation

## ◆ Input

vtkPolyData* vtkDIYGhostUtilities::PolyDataInformation::Input

Definition at line 618 of file vtkDIYGhostUtilities.h.

## ◆ CurrentPolyConnectivitySize

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::CurrentPolyConnectivitySize

This is a cursor telling how much the corresponding output connectivity array is filled.

This is used at the very end of the pipeline.

Definition at line 625 of file vtkDIYGhostUtilities.h.

## ◆ CurrentStripConnectivitySize

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::CurrentStripConnectivitySize

This is a cursor telling how much the corresponding output connectivity array is filled.

This is used at the very end of the pipeline.

Definition at line 626 of file vtkDIYGhostUtilities.h.

## ◆ CurrentLineConnectivitySize

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::CurrentLineConnectivitySize

This is a cursor telling how much the corresponding output connectivity array is filled.

This is used at the very end of the pipeline.

Definition at line 627 of file vtkDIYGhostUtilities.h.

## ◆ CurrentMaxPolyId

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::CurrentMaxPolyId = 0

This is a cursor telling how many cells of corresponding types have been added so far.

This is used at the very end of the pipeline.

Definition at line 635 of file vtkDIYGhostUtilities.h.

## ◆ CurrentMaxStripId

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::CurrentMaxStripId = 0

This is a cursor telling how many cells of corresponding types have been added so far.

This is used at the very end of the pipeline.

Definition at line 636 of file vtkDIYGhostUtilities.h.

## ◆ CurrentMaxLineId

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::CurrentMaxLineId = 0

This is a cursor telling how many cells of corresponding types have been added so far.

This is used at the very end of the pipeline.

Definition at line 637 of file vtkDIYGhostUtilities.h.

## ◆ NumberOfInputVerts

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::NumberOfInputVerts

Number of cells of respective type when the input has its ghost cells removed.

Definition at line 644 of file vtkDIYGhostUtilities.h.

## ◆ NumberOfInputPolys

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::NumberOfInputPolys

Number of cells of respective type when the input has its ghost cells removed.

Definition at line 645 of file vtkDIYGhostUtilities.h.

## ◆ NumberOfInputStrips

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::NumberOfInputStrips

Number of cells of respective type when the input has its ghost cells removed.

Definition at line 646 of file vtkDIYGhostUtilities.h.

## ◆ NumberOfInputLines

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::NumberOfInputLines

Number of cells of respective type when the input has its ghost cells removed.

Definition at line 647 of file vtkDIYGhostUtilities.h.

## ◆ InputVertConnectivitySize

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::InputVertConnectivitySize

Cell connectivity array size of the input if ghost cells are removed.

Definition at line 654 of file vtkDIYGhostUtilities.h.

## ◆ InputPolyConnectivitySize

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::InputPolyConnectivitySize

Cell connectivity array size of the input if ghost cells are removed.

Definition at line 655 of file vtkDIYGhostUtilities.h.

## ◆ InputStripConnectivitySize

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::InputStripConnectivitySize

Cell connectivity array size of the input if ghost cells are removed.

Definition at line 656 of file vtkDIYGhostUtilities.h.

## ◆ InputLineConnectivitySize

vtkIdType vtkDIYGhostUtilities::PolyDataInformation::InputLineConnectivitySize

Cell connectivity array size of the input if ghost cells are removed.

Definition at line 657 of file vtkDIYGhostUtilities.h.

## ◆ OutputToInputVertCellIdRedirectionMap

vtkNew<vtkIdList> vtkDIYGhostUtilities::PolyDataInformation::OutputToInputVertCellIdRedirectionMap

In the event that the input has ghost cells, this maps the output cells (with input ghosts removed) to the input cells.

Definition at line 665 of file vtkDIYGhostUtilities.h.

## ◆ OutputToInputLineCellIdRedirectionMap

vtkNew<vtkIdList> vtkDIYGhostUtilities::PolyDataInformation::OutputToInputLineCellIdRedirectionMap

Cell connectivity array size of the input if ghost cells are removed.

Definition at line 666 of file vtkDIYGhostUtilities.h.

## ◆ OutputToInputPolyCellIdRedirectionMap

vtkNew<vtkIdList> vtkDIYGhostUtilities::PolyDataInformation::OutputToInputPolyCellIdRedirectionMap

Cell connectivity array size of the input if ghost cells are removed.

Definition at line 667 of file vtkDIYGhostUtilities.h.

## ◆ OutputToInputStripCellIdRedirectionMap

vtkNew<vtkIdList> vtkDIYGhostUtilities::PolyDataInformation::OutputToInputStripCellIdRedirectionMap

Cell connectivity array size of the input if ghost cells are removed.

Definition at line 668 of file vtkDIYGhostUtilities.h.

The documentation for this struct was generated from the following file:

- Parallel/DIY/vtkDIYGhostUtilities.h